Bug 170480 - top level menu shortcut keys are missing
top level menu shortcut keys are missing
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2005-10-12 01:27 EDT by Edward Rudd
Modified: 2013-07-02 19:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-18 06:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2005-10-12 01:27:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
when running MC and pressing F9 to activate the menu, the normal shortcut keys of L, F, C, O, and R are not available, thus navigating the manu requires using the arrow keys to open the top level menu and then pressing the shortcut key for the menu.

This happens with LANG=en_US and the system default of en_US.UTF-8 (which makes the borders in MC look like well, crap, hence the reason I run MC in en_US all the time)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run MC
2. press F9
3. press F
4. press A

Actual Results:  the menu bar was activated but the file menu never popped open

Expected Results:  the menu bar activates the file menu pops open and then the file attributes dialog (Chown advanced command) should open.

Additional info:
Comment 1 Edward Rudd 2005-10-12 01:28:46 EDT
I have reproduced this on two systems an i386 and an x86_64 systems both with
FC4 and the latest errata
Comment 2 Jindrich Novy 2005-10-13 08:49:56 EDT
Ok, I see this was a problem of the official mc-4.6.1 release, but it's now
fixed in the upstream CVS. I'll close this but as soon as I'll release updates
to FC4 from this version.
Comment 3 Jindrich Novy 2005-10-18 06:59:45 EDT
Fixed in the latest rawhide.

Note You need to log in before you can comment on or make changes to this bug.